import { AnnotationLayer } from "./AnnotationLayer";
import { ValueLayerValueMode } from "./ValueLayerValueMode";
import { Brush } from "igniteui-angular-core";
import { Series } from "./Series";
import { Axis } from "./Axis";
import { Type, Point } from "igniteui-angular-core";
import { Thickness } from "igniteui-angular-core";
import { Visibility } from "igniteui-angular-core";
import { OverlayTextLocation } from "./OverlayTextLocation";
import { AnnotationAppearanceMode } from "./AnnotationAppearanceMode";
import { FontInfo } from "igniteui-angular-core";
import { ValueLayerFrame } from "./ValueLayerFrame";
import { List$1 } from "igniteui-angular-core";
import { Pool$1 } from "igniteui-angular-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { DoubleCollection } from "igniteui-angular-core";
import { OverlayTextUpdatingEventArgs } from "./OverlayTextUpdatingEventArgs";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { TextBlock } from "igniteui-angular-core";
import { Rectangle } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class ValueLayer extends AnnotationLayer {
    static $t: Type;
    protected bk(): Series;
    protected get_ev(): boolean;
    constructor();
    protected ct(): SeriesView;
    q7(a: SeriesView): void;
    protected aat: ValueLayerView;
    aas: ValueLayerValueMode;
    ae5: Brush;
    ae9: Brush;
    gv(a: Series): boolean;
    aaq: Series;
    aaj: Axis;
    aa3: boolean;
    aaw: boolean;
    aak: (item: any) => string;
    aal: (item: any) => string;
    afc: Brush;
    afa: Brush;
    abg: number;
    abs: number;
    afb: Brush;
    get afi(): Thickness;
    abi: number;
    abk: number;
    abj: number;
    abh: number;
    get afj(): Thickness;
    abo: number;
    abq: number;
    abp: number;
    abn: number;
    abl: number;
    aff: Brush;
    afd: Brush;
    abm: number;
    abt: number;
    afe: Brush;
    abr: number;
    afl: Visibility;
    afk: Visibility;
    aa2: boolean;
    aam: OverlayTextLocation;
    abc: number;
    abe: number;
    abd: number;
    abf: number;
    aa6: number;
    ae8: Brush;
    ae6: Brush;
    ae7: Brush;
    aa8: number;
    aba: number;
    aa1: boolean;
    aby: string;
    abb: number;
    aai: AnnotationAppearanceMode;
    aa0: boolean;
    aa7: number;
    aag: AnnotationAppearanceMode;
    aay: boolean;
    aa9: number;
    aah: AnnotationAppearanceMode;
    aaz: boolean;
    private aau;
    get aav(): FontInfo;
    set aav(a: FontInfo);
    ae4: Brush;
    private aaf;
    private aao;
    private aap;
    mh(): string;
    protected get_isSummarizationSupported(): boolean;
    i8(a: Point, b: boolean, c: boolean): number;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    protected y1(a: Series, b: boolean): void;
    protected y3(a: Frame, b: SeriesView): void;
    private adg;
    protected xs(a: Series): boolean;
    protected aax(a: Axis): boolean;
    qv(): void;
    private aar;
    protected xc(): AnnotationAppearanceMode;
    protected xz(): number;
    protected x2(): number;
    protected x1(): number;
    protected z4(): DoubleCollection;
    protected z5(): DoubleCollection;
    private afg;
    private afh;
    private adh;
    stylingOverlayText: (sender: any, args: OverlayTextUpdatingEventArgs) => void;
    private adj;
    private adi;
    private aa5;
    private aa4;
    protected adk(a: ValueLayerFrame, b: boolean): void;
    private adf;
    protected y6(a: Frame, b: SeriesView): void;
    protected gb(): boolean;
    protected rg(a: any, b: string, c: any, d: any): void;
    pb(a: boolean, b: SeriesView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ValueLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ValueLayer);
    protected cn: ValueLayer;
    co: Pool$1<Path>;
    protected ct: List$1<Path>;
    cs: List$1<TextBlock>;
    cq: Pool$1<TextBlock>;
    cr: List$1<Rectangle>;
    cp: Pool$1<Rectangle>;
    cu(): void;
    a4(): void;
    c5(): TextBlock;
    c2(a: TextBlock): void;
    c1(a: TextBlock): void;
    c3(a: TextBlock): void;
    c7(): Rectangle;
    cz(a: Rectangle): void;
    cy(a: Rectangle): void;
    c0(a: Rectangle): void;
    private c6;
    private cv;
    private cx;
    private cw;
    c4(a: Path, b: number, c: number, d: number): void;
    protected bj(a: RenderingContext, b: boolean): void;
    ax(a: any): void;
}
